#include <stdio.h>
#include <time.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>
#include <fstream.h>
#include "latrus.h"

#ifdef WIN32
#include <io.h>
#else
#include <unistd.h>
#endif



//______________________________________________________________________________
//                                                                            []
//` ExTranslate 																					[]
//                                                                            []
void ExTranslate (char * sInput)
{
	char * String		= new char [102400];
	
	strcpy (String, sInput);

	bool bAlmostRus = true;
	int i;

	int nALL = 0;
	int nRUS = 0;
	typedef unsigned char uchar;
	extern bool ARR_RUSSIAN[];
	extern bool ARR_BUKVA[];

	for (i=0; String[i]; i++)
	{
		nRUS += ARR_RUSSIAN	[(uchar)String[i]];
		nALL += ARR_BUKVA		[(uchar)String[i]];
	}	
	bAlmostRus = nRUS <= (nALL/2);
	
	char * Res = "";
	if (String[0])
	{
		Cifirica_Start (bAlmostRus?"cifirica.dat":"cifirica-lr.dat");
			Res = Cifirica_Translate(String);
			//Res = Cifirica_TranslateHTML(String);
		Cifirica_End ();
	}
	//----------------------------------------------------------------------------[] 
	printf (Res);


	delete String;
}
//____________________________________________________________________________[]



/*______________________________________________________________________________
[]                                                                            []
[]                                                                            []
[]` END OF FILE																					[]
[]                                                                            []
[]____________________________________________________________________________[]
*/

