// ParmParser.h: interface for the CParmParser class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARMPARSER_H__95E62F05_DF60_11D1_B36D_444553540001__INCLUDED_)
#define AFX_PARMPARSER_H__95E62F05_DF60_11D1_B36D_444553540001__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CParmParser  
{
public:
	void Debug();
	char Add[50];
	int GetKeyInt(char *Key);
	int GetKeyValLen(char *Key);
	char * GetKeyValue(char *Key, char *Dst);
	int IsKey(char *pKey);
	 CParmParser(char *Line);
	CParmParser();
	virtual ~CParmParser();
	char *GetLine() { return lpLine; }

protected:
	int * pValLens;
	int * pKeyLens;
	int * pValues;
	int * pPairs;
	int nPairs;
	char * lpLine;
	int GetKeyNum(char *Key);
	char * GetValue(int n, char *Dst);
	char * GetKey(int n, char *Dst);
	char * Parse(char *Src, char *Dst);
};

void pEncode(char *Parm, char *To);

#endif // !defined(AFX_PARMPARSER_H__95E62F05_DF60_11D1_B36D_444553540001__INCLUDED_)
