#include <stdio.h>
#include "ParmParser.h"
#include <time.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>
#include <fstream.h>
#include "latrus.h"

#ifdef WIN32
#include <io.h>
#else
#include <unistd.h>
#endif

#ifdef WIN32
#define LOCK(l)	{l=l;}
#define UNLOCK(l)	{l=l;}
#else
#define LOCK(l)	while(flock(l,LOCK_EX)!=0)
#define UNLOCK(l) flock(l,LOCK_UN)
#endif


void Action(CParmParser *Parms);

char C_HOST[256];
char C_ADDR[256];

void main(int ac, char *av[], char *env[])
{
	umask(0);
	int i=0;
	int mtd=0;
	char QString[10000];
	while(env[i]) {
		if((strstr(env[i],"REQUEST_METHOD")==env[i])&&(strstr(env[i],"POST")!=0))
			mtd=1;
		if(strstr(env[i],"QUERY_STRING")==env[i])
			strcpy(QString,env[i]+strlen("QUERY_STRING="));
		if(strstr(env[i],"REMOTE_HOST")==env[i])
			strcpy(C_HOST,env[i]+strlen("REMOTE_HOST="));
		if(strstr(env[i],"REMOTE_ADDR")==env[i])
			strcpy(C_ADDR,env[i]+strlen("REMOTE_ADDR="));
		i++;
	}
	if(mtd)
		gets(QString);

	if(ac>1) {
		strcpy(QString,av[1]);
	}

	CParmParser Parms(QString);

	Action(&Parms);

}



#define	HANDLER(x)		void CGI##x(CParmParser *Parms)
#define	HANDLE(x)		if(strcmp(Action,#x)==0) CGI##x(Parms)
#define	HEADER			printf("<html><head></head><body>\n");
#define	FOOTER			printf("</body></html>\n")
//____________________________________________________________________________[]




/*______________________________________________________________________________
[]                                                                            []
[]                                                                            []
[]`  																				[]
[]                                                                            []
[]____________________________________________________________________________[]
*/
	 

/*______________________________________________________________________________
[]                                                                            []
[]                                                                            []
[]`  																				[]
[]                                                                            []
[]____________________________________________________________________________[]
*/
	 

//______________________________________________________________________________
//                                                                            []
//` 																						[]
//                                                                            []
HANDLER(Translate);



//______________________________________________________________________________
//                                                                            []
//` Action																							[]
//                                                                            []
void Action(CParmParser *Parms)
{
	char Action[256];
	Parms->GetKeyValue("Action",Action);

	if (Action[0]==0)
	{
		CGITranslate(Parms);
	}
	HANDLE(Translate);
}
//____________________________________________________________________________[]



struct CSubstRule{
	char		*sRUS;
	char		*sLAT;
};
extern CSubstRule* ArrSubstRules;
extern int nSubst;

//______________________________________________________________________________
//                                                                            []
//` CGITranslate																					[]
//                                                                            []
HANDLER(Translate)
{
	umask(0);
   char * String     = new char [10240];
   char * StringOld  = new char [10240];
   char * TEMPLATE   = new char [10240];
   char * ResHTML    = new char [10240];

	FILE * pFile;
	int  nRead;
	Parms->GetKeyValue("String",String);

	if (strcmp(String,"[jpzby")==0)
	{
		printf ("Location: http://www.kiev.com/pooh/win/lib/cifirica/online/debug.html%c%c",10,10);
		return;
	}
	printf("content-type:  text/html%c%c",10,10);

	strcpy (StringOld, String);

	bool bAlmostRus	= true;
	bool bRYCC			= false;
	int i;

	int nALL = 0;
	int nRUS = 0;
	int nRYC = 0;
	typedef unsigned char uchar;
	extern bool ARR_RUSSIAN[];
	extern bool ARR_BUKVA[];
	extern bool ARR_RYCC[];

	for (i=0; String[i]; i++) 
	{
		nRUS += ARR_RUSSIAN	[(uchar)String[i]];
		nALL += ARR_BUKVA		[(uchar)String[i]];
		nRYC += ARR_RYCC		[(uchar)String[i]];
	}	
	bAlmostRus = nRUS <= (nALL/2);
	bRYCC			= (nRYC >= (3*nALL/4)) && nRYC>8;
	
	char * Res = "";
	if (String[0])
	{
		Cifirica_Start (bRYCC? "../../cifirica-rr.dat": (bAlmostRus?"../../cifirica.dat":"../../cifirica-lr.dat"));
		Res = Cifirica_Translate(String);
		Cifirica_End ();
		
		nSubst = 3;
		Cifirica_Start ("nofile");
		nSubst = 3;
			ArrSubstRules[0].sLAT = "\r\n";
			ArrSubstRules[0].sRUS = "<br>";
			ArrSubstRules[1].sLAT = "\n";
			ArrSubstRules[1].sRUS = "<br>";
			ArrSubstRules[2].sLAT = "\r";
			ArrSubstRules[2].sRUS = "<br>";
		Res		= Cifirica_Translate(Res);
		strcpy	(ResHTML, Res);
		String	= Cifirica_Translate(String);
		Cifirica_End ();
	}
	//----------------------------------------------------------------------------[] 


	//  HTML-
	//----------------------------------------------------------------------------[] 
	pFile = fopen ("template.html", "rb");
	if (pFile==0)
	{
		HEADER;
			printf("<h1>Error opening file: 'template.html'<h1>");
		FOOTER;
		return;
	}
	for (i=0; i<10240; i++) TEMPLATE[i]=0;
	fread (TEMPLATE, 1, 10240, pFile);
	nRead = strlen (TEMPLATE);
	fclose (pFile);
	printf(TEMPLATE, StringOld, ResHTML);
	//----------------------------------------------------------------------------[] 


	// 
	//----------------------------------------------------------------------------[] 
	if (strstr(C_HOST, "128.59.148.") || !bAlmostRus)
	{
		return;
	}
	pFile = fopen ("his.html", "rb");
	if (pFile==0)
	{
		printf ("\n<!--Error opening file: 'his.html'-->\n");
		return;
	}
	fread (TEMPLATE, 10240, 1, pFile);
	nRead = ftell (pFile);
	TEMPLATE[nRead] = 0;
	fclose (pFile);

	if (String[0])
	{
		long ltime;
		time (&ltime);
		ltime += 3*60*60;
		struct tm * gmTime = gmtime (&ltime);
		char * pBUFFER = new char[10240];
		pFile = fopen ("debug.html", "a+");
		if (pFile)
		{
			char * DAY[]	= {"", "", "", "", "", "", ""};
			char * MONTH[] = {"", "", "", "", "", "", "", "", "", "", "", ""};

			sprintf (pBUFFER, TEMPLATE, 
				gmTime->tm_hour,			  // %d
				gmTime->tm_min<10?"0":"", // %s
				gmTime->tm_min,			  // %d
				gmTime->tm_mday,			  // %d
				MONTH[gmTime->tm_mon],	  // %s
				//gmTime->tm_year,
				//DAY[gmTime->tm_wday],
				C_HOST,						  // %s
				//C_ADDR,
				String, 						  // %s
				ResHTML);					  // %s

			fwrite (pBUFFER, strlen (pBUFFER), 1, pFile);
		}
		else 
		{
			printf ("\n<!--Error opening file: 'debug.html'-->\n");
		}
		delete pBUFFER;
		fclose (pFile);
	}
	delete String;
	delete StringOld;
	delete ResHTML;
}
//____________________________________________________________________________[]



/*______________________________________________________________________________
[]                                                                            []
[]                                                                            []
[]` END OF FILE																					[]
[]                                                                            []
[]____________________________________________________________________________[]
*/


