/*
________________________________________________________________________________
[]                                                                            []
[] This is a part of the PROJECT: 'LatRus'												[]
[] Copyright (C) 1998 Roman V. Koshelev	                                    []
[] All rights reserved.                                                       []
[] __________________________________________________________________________ []
[]                                                                            []
[] Name:            main.cpp																	[]
[] Date:            05/31/98                                                  []
[] Author:          Roman V. Koshelev														[]
[] Description:     Convert Latinica -> Russian win 1251								[]
[]____________________________________________________________________________[]
*/
#ifdef WIN32
#include "windows.h"
#include "stdio.h"
#include "conio.h"
#include <io.h>
#endif

#include "string.h"

#include <stdio.h>
#include <fcntl.h>


static const int	MAX_SIZE		= 1000000;
int					nReplace		= 0;
bool					bRULEZ		= false;
typedef unsigned char uchar;

char	*	sRULEZ=NULL;
char	*	Cifirica_TranslateHTML_sTMP=NULL;
char	*	Cifirica_TranslateHTML_sRUS=NULL;
char	*	Replace_TMP=NULL;
char	*	MakeSubst_SSS=NULL;
char	*	Cifirica_Translate_sRUS=NULL;


long LocalTime = -1;

#ifdef WIN32
class CLocalTimeMeaser
{
	long ttt;
	
public:
	CLocalTimeMeaser(){ttt=GetTickCount();}
	~CLocalTimeMeaser(){	LocalTime += GetTickCount()-ttt;}
};
#endif

#ifdef WIN32
#define LOCAL_TIME CLocalTimeMeaser LTM;
#else 
#define LOCAL_TIME
#endif

bool ARR_BUKVA			[256];
bool ARR_RYCC			[256];
bool ARR_SPECSYMBOL	[256];
bool ARR_GLASNAJA		[256];
bool ARR_SOGLASNAJA	[256];
bool ARR_RAZDELITEL	[256];
bool ARR_RUSSIAN		[256];
bool ARR_DIGIT			[256];
char ARR_UPPERCASE	[256];
char ARR_LOWERCASE	[256];
struct CFirstBukva
{
	int  L;
	char c1;	char C1;	int  N1;
	char c2;	char C2;	int  N2;
};
CFirstBukva * ptrFirstBukva = NULL;

void SET_Arrs ();
struct SSET_Arrs
{
	SSET_Arrs() {SET_Arrs();}
}objSSET_Arrs;
 
//______________________________________________________________________________
//                                                                            []
//`  																[]
//                                                                            []
void SET_Arrs ()
{
	int i,j;
	{
		bool * ARR = ARR_BUKVA;
		char * STR = "qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDSAZXCVBNM]}'`1234567890%\"";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
	{
		bool * ARR = ARR_RYCC;
		char * STR = "ETYUOPADHJK|XCBM346bu}{)(><";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}	
	{
		bool * ARR = ARR_SOGLASNAJA;
		char * STR = "wrtpsdfghklzxcvbnmWRTPSDFGHKLZXCVBNM'\"";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
	{
		bool * ARR = ARR_GLASNAJA;
		char * STR = "QEYUIOAJqeyuioaj]}";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}	
	{
		bool * ARR = ARR_RAZDELITEL;
		char * STR = " |.,;:-_?!()+&\n\r\t<>/\\[{@=";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
	{
		bool * ARR = ARR_SPECSYMBOL;
		char * STR = "$#*@%_";
		for (i=0; i<256;  i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
	{
		char * ARR = ARR_UPPERCASE;
		char * STR1 = "qwertyuioplkjhgfdsazxcvbnm";
		char * STR2 = "QWERTYUIOPLKJHGFDSAZXCVBNM";
		for (i=0; i<256;	 i++)	ARR[i]=(char)i;
		for (j=0; STR1[j]; j++)	ARR[(int)(uchar)STR1[j]]=STR2[j];
	}
	{
		char * ARR = ARR_LOWERCASE;
		char * STR1 = "QWERTYUIOPLKJHGFDSAZXCVBNM";
		char * STR2 = "qwertyuioplkjhgfdsazxcvbnm";
		for (i=0; i<256;	 i++)	ARR[i]=(char)i;
		for (j=0; STR1[j]; j++)	ARR[(int)(uchar)STR1[j]]=STR2[j];
	}
	{
		bool * ARR = ARR_RUSSIAN;
		char * STR = "޸";
		for (i=0; i<256;	i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
	{
		bool * ARR = ARR_DIGIT;
		char * STR = "1234567890%";
		for (i=0; i<256;	i++)	ARR[i]=false;
		for (j=0; STR[j]; j++)	ARR[(int)(uchar)STR[j]]=true;
	}
}
//____________________________________________________________________________[]



//______________________________________________________________________________
//                                                                            []
//`  																		[]
//                                                                            []
inline bool IsUpperCase (uchar C)
{
	return C==(uchar)ARR_UPPERCASE[C];
}
bool IsUpperCase (char * S)
{
	int i,n=0;
	for (i=0; S[i]; i++) 
	{
		n += IsUpperCase (S[i]);
	}
	return n>0;
}
//____________________________________________________________________________[]


// $ -- 
// # --  
// * -- 
// @ --  
// % -- 
// _ -- 
// | --  
struct CSubstRule{
	char		*sRUS;
	char		*sLAT;
} _ArrSubstRules[]=
{	 
#include "rulez.cpp"
};
typedef CSubstRule * ptrCSubstRule;
typedef bool bool256 [256];
bool256 * GloabalCashArr;
int		nSubst=0;

char			* BUFFER				= NULL;
CSubstRule	* ArrSubstRules	= NULL;

#ifndef WIN32
#define O_BINARY 0
#endif
//______________________________________________________________________________
//                                                                            []
//` LoadRulezText																					[]
//                                                                            []
void LoadRulez (const char *fileName)
{
	FILE *pFile;
	pFile = fopen(fileName,"rb");

	static char NOTHING [] = "";
	int nLen=0;
	int i;
	nSubst = sizeof (_ArrSubstRules) / sizeof (_ArrSubstRules[0]);
	if (pFile)
	{
		nLen = fread (BUFFER, sizeof (char), 400000, pFile);
	}
	else 
	{
		if (ArrSubstRules) delete [] ArrSubstRules;
		ArrSubstRules	=	new CSubstRule	[nSubst];

		for (i=0; i< nSubst; i++)
		{
			ArrSubstRules[i] = _ArrSubstRules[i];
		}
		return;
	}
	fclose (pFile);

	nSubst =0;

	BUFFER[nLen]=0;
	int j;
	int State;
	#define StateLAT   0
	#define StateRUS   1
	#define StateSPACE 2
	State = StateLAT;
	ArrSubstRules[0].sLAT=BUFFER;
	ArrSubstRules[0].sRUS=BUFFER;
	for (i=j=0; i<nLen; i++)
	{
		char C = BUFFER[i];

		if (C!=10) switch (State)
		{
		case StateLAT:
			if (C==' ' || C=='\t')
			{
				BUFFER[i]=0;
				State = StateSPACE;
			}
			else if (C==13)
			{
				State = StateLAT;
				ArrSubstRules[j].sLAT = NOTHING;
				ArrSubstRules[j].sRUS = NOTHING;
				j++;
				i++;
				ArrSubstRules[j].sLAT = BUFFER + i + 1;
			}
		break;

		case StateSPACE:
			if (C==13)
			{
				State = StateLAT;
				ArrSubstRules[j].sRUS = NOTHING;
				j++;
				i++;
			}
			else if (C!='\t' && C!=' ')
			{
				ArrSubstRules[j].sRUS = BUFFER + i;
				State = StateRUS;
			}
		break;

		case StateRUS:
			if (C==13)
			{
				BUFFER[i]=0;
				State = StateLAT;
				j++;
				i++;
				if (i<nLen)
				{
					ArrSubstRules[j].sLAT = BUFFER + i + 1;
				}
			}
		break;

		default: 
		break;
		}
	}
	nSubst = j;
}
//____________________________________________________________________________[]


//______________________________________________________________________________
//                                                                            []
//` SaveRulez																						[]
//                                                                            []
bool SaveRulez ()
{
	nSubst = sizeof (_ArrSubstRules) / sizeof (_ArrSubstRules[0]);

	FILE *File;
	File=fopen("cifirica.txt","wb");

	for (int i=0; i<nSubst; i++)
	{
		char SSS[1024];
		char spc[1024];
		for (int j = 0; j < (int)(24-strlen (_ArrSubstRules[i].sLAT)); j++) spc[j]=' ',spc[j+1]=0;
		sprintf (SSS, "%s%s%s\r\n", _ArrSubstRules[i].sLAT, spc, _ArrSubstRules[i].sRUS);
		fwrite (SSS, 1, strlen (SSS), File);
	}
	fclose (File);
	return true;
}
//____________________________________________________________________________[]



//______________________________________________________________________________
//                                                                            []
//`  																				[]
//                                                                            []
void Replace (char * ptr, const CSubstRule* pRule)
{
	char * TMP = Replace_TMP;
	int nLAT = strlen (pRule->sLAT);
	int nRUS = strlen (pRule->sRUS);
	int nShift = nLAT - nRUS;
	int i;

//RVK:>>>	
	strcpy (TMP, ptr+nShift);

	int nLeft = 0;
	for (i=0; i<nRUS; i++) 
	{
		uchar cRUS = pRule->sRUS[i];
		if (cRUS!='#' && cRUS!='*' && cRUS!='_' && cRUS!='$' && cRUS!='@' && cRUS!='%')
		{
			nLeft=0;
			uchar C = ptr[i];
			if (C=='\'' || C=='`') {
				C=ptr[i+1];
			}

			TMP[i] = (i<nLAT && IsUpperCase(C) && !IsUpperCase(pRule->sLAT[i])) ? ARR_UPPERCASE [(uchar)cRUS]: cRUS;
		}
		else 
		{
			TMP[i] = ptr[i+(i?nShift:0)+nLeft];
			if (nShift<0) nLeft ++;
		}
	}
	strcpy (ptr, TMP);
	nReplace ++;
}
bool ARR_TEXTMAP[256];
//______________________________________________________________________________
//                                                                            []
//` MakeTextMap 																					[]
//                                                                            []
void MakeTextMap (char * str)
{
//RVK:>>>
	memset (ARR_TEXTMAP, 0, 256);
	int i;
	for (i=0; str[i]; i++)
	{
		ARR_TEXTMAP[(uchar)str[i]] = true;
	}
}
//______________________________________________________________________________
//                                                                            []
//`  																				[]
//                                                                            []
inline bool IsEqualBukva (uchar C1, uchar C2)
{
	// C2 -   
	if (C1==C2)
		return true;
	if (C2=='$') 
		return *(ARR_BUKVA+C1);
	if (C2=='#')
		return *(ARR_SOGLASNAJA+C1);
	if (C2=='*')
		return *(ARR_GLASNAJA+C1);
	if (C2=='_')
		return *(ARR_RAZDELITEL+C1);
	if (C2=='%')
		return *(ARR_DIGIT+C1);
	if (C2=='@')
		return *(ARR_RUSSIAN+C1);

	if ((*(ARR_UPPERCASE+C1)==*(ARR_UPPERCASE+C2)) && !IsUpperCase (C2))
		return true;
	
	return false;
}
//______________________________________________________________________________
//                                                                            []
//`   																[]
//                                                                            []
char * FindLatinic (char * sTEXT, const char * sRULE, int iRule, int nTEXT, int nRULE)
{
	LOCAL_TIME

	bool * bArr = GloabalCashArr[iRule];
	int i;

	for (i=0; i<nRULE; i++)
	{
		uchar C = (uchar)sRULE[i];
		if (!ARR_SPECSYMBOL[C])
		{
			if (!ARR_TEXTMAP[C] && !ARR_TEXTMAP[(uchar)ARR_UPPERCASE[C]]) 
			{
				return NULL;
			}
		}
	}

	for (i=255; i<nTEXT; i++) 
	{
		int	N1 = ptrFirstBukva[iRule].N1;
		char  C1 = ptrFirstBukva[iRule].C1;
		char  c1 = ptrFirstBukva[iRule].c1;
		int	N2 = ptrFirstBukva[iRule].N2;
		char  C2 = ptrFirstBukva[iRule].C2;
		char  c2 = ptrFirstBukva[iRule].c2;
		char CC1 = sTEXT[i+N1];
		char CC2 = sTEXT[i+N2];
		if (((N1==-1) || (c1 == CC1) || (C1 == CC1)) && ((N2==-1) || (c2 == CC2) || (C2 == CC2)))
		{
			if (bArr[(uchar)sTEXT[i]])
			{
				int j;
				for (j=0; j<nRULE; j++) 
				{
					if (!IsEqualBukva (*(sTEXT+i+j), *(sRULE+j)))
					{
						goto mark1;
					}
				}
				return (sTEXT+i);
				mark1:;
			}
		}
	}

	return NULL;
}
//______________________________________________________________________________
//                                                                            []
//` 																					[]
//                                                                            []
bool MakeSubst (char * sRUS, int nRUS, const CSubstRule * pRule, int iRule)
{
	//LOCAL_TIME

	char * SSS  = MakeSubst_SSS;
	bool bRes = false;
	char * ptr= NULL;
	ptr=ptr;	

	if (nRUS>(MAX_SIZE/10)) return false;
	int nRULE  = ptrFirstBukva[iRule].L;
	int nRULEZ = (bRULEZ && nReplace<64)? strlen(sRULEZ): 0;

	int i;
	for (i=0; (i<MAX_SIZE/10) && ((ptr = FindLatinic (sRUS, pRule->sLAT, iRule, nRUS, nRULE))!=NULL); i++)
	{
		//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` RULEZZ
		if ((nRULEZ< MAX_SIZE) && bRULEZ && nReplace<64)
		{
			sprintf  (SSS, "%s  ->  %s    \t(  %d)\r\n", pRule->sLAT, pRule->sRUS, iRule+1);
			strcat (sRULEZ, SSS); 
			strcat (sRULEZ, "      ");
			strcpy (SSS, sRUS+256);
			SSS[strlen (SSS)-255]=0;;
			for (i=0; SSS[i]; i++) if (SSS[i]==13 || SSS[i]==10) SSS[i]=' ';
			SSS[i-1]=0;
			strcat (sRULEZ, SSS);
			strcat (sRULEZ, "\r\n");
		}
		//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` RULEZZ

		
		Replace	(ptr, pRule);


		//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` RULEZZ
		if ((nRULEZ< MAX_SIZE) && bRULEZ && nReplace<64)
		{
			int i;
			strcat (sRULEZ, "      ");
			strcpy (SSS, sRUS+256);
			SSS[strlen (SSS)-255]=0;;
			for (i=0; SSS[i]; i++) if (SSS[i]==13 || SSS[i]==10) SSS[i]=' ';
			SSS[i-1]=0;
			strcat (sRULEZ, SSS);
			strcat (sRULEZ, "\r\n");
		}
		//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` RULEZZ

		bRes	= true;
	}

	return bRes;
}
//______________________________________________________________________________
//                                                                            []
//` ASCII-       	[]
//                                                                            []
char * Cifirica_Translate (const char *sLAT)
{
	char * sRUS = Cifirica_Translate_sRUS;
	memset (sRUS, 0, MAX_SIZE-1);
	int i;
	
	int nLAT = strlen (sLAT);
	sRULEZ[0]=0;
	bRULEZ = (sLAT[0]=='?' && sLAT[1]==':' && strlen (sLAT)<32);

	sRUS[0]=0;
	if (!sLAT[0]) return "";
	strcpy (sRUS, 	"                                                                "
						"                                                                "
						"                                                                "
						"                                                               |");

	strcat (sRUS+255, sLAT+(bRULEZ?2:0));
	strcat (sRUS,	"|                                                               "
						"                                                                "
						"                                                                "
						"                                                                ");

	bool bWasSubst;


	//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` CASH
	bool256 * ptrCashArr = new bool256 [nSubst];
	for (i=0; i<256; i++)
	{
		int j;
		for (j=0; j<nSubst; j++) 
		{
			if (ARR_BUKVA[(uchar)i] || ARR_RAZDELITEL[(uchar)i]) if (IsEqualBukva ((uchar)i, ArrSubstRules[j].sLAT[0]))
			{
				ptrCashArr [j][i] = true;
			}
		}
	}
	GloabalCashArr = ptrCashArr;

	ptrFirstBukva  = new CFirstBukva [nSubst];
	for (i=0; i<nSubst; i++) 
	{
		ptrFirstBukva[i].L  = strlen (ArrSubstRules[i].sLAT);
		ptrFirstBukva[i].N1 =-1;
		ptrFirstBukva[i].c1 = 0;
		ptrFirstBukva[i].C1 = 0;
		ptrFirstBukva[i].N2 =-1;
		ptrFirstBukva[i].c2 = 0;
		ptrFirstBukva[i].C2 = 0;
		int j;
		for (j=0; ArrSubstRules[i].sLAT[j]; j++) 
		{
			uchar CC = ArrSubstRules[i].sLAT[j];
			if (CC!='#' && CC!='*' && CC!='_' && CC!='$' && CC!='|' && CC!='@' && CC!='%')
			{
				ptrFirstBukva[i].N1 = j;
				ptrFirstBukva[i].c1 = (char)CC;
				ptrFirstBukva[i].C1 = ARR_UPPERCASE [CC];
				break;
			}
		}
		for (; ArrSubstRules[i].sLAT[j]; j++) 
		{
			uchar CC = ArrSubstRules[i].sLAT[j];
			if (CC!='#' && CC!='*' && CC!='_' && CC!='$' && CC!='|' && CC!='@' && CC!='%')
			{
				ptrFirstBukva[i].N2 = j;
				ptrFirstBukva[i].c2 = (char)CC;
				ptrFirstBukva[i].C2 = ARR_UPPERCASE [CC];
				break;
			}
		}
	}
	//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` CASH	



	//-------------------------------------------------------------------[]` SUBST
	int nCount = 0;
	do	{
		bWasSubst = false;
		MakeTextMap (sRUS);
		int nRUS = strlen (sRUS);
		int i;
		for (i=0; i<nSubst; i++) if (ArrSubstRules[i].sLAT[0] && ArrSubstRules[i].sRUS[0])
		{
			if (MakeSubst (sRUS, nRUS, ArrSubstRules+i, i))
			{
				bWasSubst	= true;
				nRUS			= strlen (sRUS);
				MakeTextMap (sRUS);
			}
			nCount += bWasSubst;
		}
	} while (bWasSubst && nCount<nSubst*nLAT);

	sRUS[strlen(sRUS)-1]=0;
	//-------------------------------------------------------------------[]` SUBST



	//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` CASH	
	delete [] ptrCashArr;
	delete [] ptrFirstBukva;
	//- - - - - - - - - - - - - - - - - - - - - - - - - -[]` CASH	

	sRUS[strlen (sRUS)-255] = 0;

	if (bRULEZ)
	{
		strcat (sRUS, "\r\n____________________________________\r\n"
			".:\r\n"
			"$ - \r\n"
			"# - \r\n"
			"* - \r\n"
			"@ -  \r\n"
			"% - \r\n"
			"_ - \r\n"
			"| - / \r\n"
			"_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _\r\n");
		strcat (sRUS, sRULEZ);
		sRULEZ[0]=0;
	}
	bRULEZ = false;

	return sRUS+256;
}
//______________________________________________________________________________
//                                                                            []
//` HTML-       	[]
//                                                                            []
char * Cifirica_TranslateHTML (const char *sLAT)
{
	int			i,j;
	
	char * sTMP = Cifirica_TranslateHTML_sTMP;
	char * sRUS = Cifirica_TranslateHTML_sRUS;

	LocalTime	=-1;
	sTMP[0]		= 0;
	sRUS[0]		= 0;

	nReplace = 0;
	
	for (i=j=0; sLAT[i]; i++) 
	{
		uchar C = sLAT[i];
		if (C=='&' && sLAT[i+1]!=0 && sLAT[i+2]!=0 && (sLAT[i+1]=='L' || sLAT[i+1]=='l' ||  sLAT[i+1]=='g' ||  sLAT[i+1]=='G') && (sLAT[i+2]=='T' || sLAT[i+2]=='t'))
		{	
			strcat (sRUS, Cifirica_Translate(sTMP));
			sTMP[j=0]=0;
			for (j=0; j<3; j++)
			{
				sTMP[j  ] = sLAT[i+j];
				sTMP[j+1] = 0;
			}
			strcat (sRUS, sTMP);
			i += j-1;
			sTMP[j=0]=0;
		}
		else if (C=='<')
		{			
			strcat (sRUS, Cifirica_Translate(sTMP));
			sTMP[j=0]=0;
			for (j=0; sLAT[i+j]; j++)
			{
				sTMP[j  ] = sLAT[i+j];
				sTMP[j+1] = 0;
				if (sLAT[i+j]=='>')
					break;
			}
			strcat (sRUS, sTMP);
			i += j;
			sTMP[j=0]=0;

			if(sLAT[i]==0 || sLAT[i-1]==0)
				break;
		}
		else 
		{
			sTMP[j++] = C;
			sTMP[j  ] = 0;
		}
	}
	strcat (sRUS, Cifirica_Translate(sTMP));

	return sRUS;
}
//____________________________________________________________________________[]


void Cifirica_Start (char * fileName)
{
	BUFFER			=	new char			[400000];
	ArrSubstRules	=	new CSubstRule	[20480];

	sRULEZ								= new char [4*MAX_SIZE];
	Cifirica_TranslateHTML_sTMP	= new char [MAX_SIZE];
	Cifirica_TranslateHTML_sRUS	= new char [MAX_SIZE];
	Replace_TMP							= new char [MAX_SIZE];
	MakeSubst_SSS						= new char [MAX_SIZE];
	Cifirica_Translate_sRUS			= new char [MAX_SIZE];

	LoadRulez (fileName);
}
void Cifirica_End ()
{
	delete [] BUFFER;
	delete [] ArrSubstRules;

	delete [] sRULEZ;
	delete [] Cifirica_TranslateHTML_sTMP;
	delete [] Cifirica_TranslateHTML_sRUS;
	delete [] Replace_TMP;
	delete [] MakeSubst_SSS;
	delete [] Cifirica_Translate_sRUS;
}
